Name:           remake
Version:        0.11
Release:        1%{?dist}
Summary:        Build system that bridges the gap between make and redo

License:        GPLv3+
URL:            https://github.com/silene/%{name}
Source0:        https://github.com/silene/%{name}/archive/%{name}-%{version}.tar.gz

BuildRequires:  doxygen-latex
BuildRequires:  ghostscript
BuildRequires:  inotify-tools
BuildRequires:  tex-epstopdf
BuildRequires:  urw-fonts

%description
Remake is a build system with features of both make and redo.  See the
documentation for details on usage and control file syntax.

%package doc
Summary:        Documentation for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
Documentation for using and developing %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

%build
g++ $RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -o remake remake.cpp \
    $RPM_LD_FLAGS
doxygen

%install
# Install the binary
mkdir -p %{buildroot}%{_bindir}
install -pm 0755 remake %{buildroot}%{_bindir}

# Install the doxygen documentation
mkdir -p %{buildroot}%{_docdir}/%{name}
cp -a doxydoc/html %{buildroot}%{_docdir}/%{name}

%check
cd testsuite
./all.sh

%files
%doc README.md
%exclude  %{_docdir}/%{name}/html
%{_bindir}/%{name}

%files doc
%doc %{_docdir}/%{name}
%exclude %{_docdir}/%{name}/README.md

%changelog
* Mon Jan  6 2014 Jerry James <loganjerry@gmail.com> - 0.11-1
- New upstream release
- Add inotify-tools BR for new tests

* Tue Jul 30 2013 Jerry James <loganjerry@gmail.com> - 0.9-1
- New upstream release
- More BRs for the documentation
- Adapt to Rawhide _docdir change

* Fri Jun 14 2013 Jerry James <loganjerry@gmail.com> - 0.8-1
- New upstream release
- BR doxygen-latex instead of just doxygen

* Mon Jun  3 2013 Jerry James <loganjerry@gmail.com> - 0.7-1
- New upstream release

* Tue May 28 2013 Jerry James <loganjerry@gmail.com> - 0.5-1
- New upstream release

* Wed Apr 17 2013 Jerry James <loganjerry@gmail.com> - 0.4-3
- Use a tagged tarball instead of one derived from a git commit
- Split documentation out into a subpackage

* Tue Apr 16 2013 Jerry James <loganjerry@gmail.com> - 0.4-2
- Ship doxygen documentation

* Mon Apr  8 2013 Jerry James <loganjerry@gmail.com> - 0.4-1
- Initial RPM
